varset  --          LANTools Utility V1.31                           1999-12-28

                                 varset

Function
        set environment variable depending on chosen function

Type
        external

Format
        varset variable function {parameter}

        {}            this parameter is optional
        variable      environment variable name to be set
        function      chosen function

           READ     lines                        reads string from stdin
                                                 lines will be skipped
           READTAB  file key                     reads string from file
                                                 behind "key: "

           DATE                                  returns current date
           TIME                                  returns current time
           WEEKDAY                               day of the week (0=Sunday)

           FDATE    file                         returns file date
           FTIME    file                         returns file time

           LEFT$    length string                left substring
           RIGHT$   length string                right substring
           MID$     from length string           middle substring
           STRBCHR  char string                  string up to char (strrchr)
           STRACHR  char string                  string after char (strchr)
           STRDEL   string string                remove substring
           STRUPR   string                       upper case
           STRLWR   string                       lower case
           STRLEN   string                       string length

           INT      num1                         integer
           ABS      num1                         absolute number

           +  num1 num2                          num1 + num2
           -  num1 num2                          num1 - num2
           *  num1 num2                          num1 * num2
           /  num1 num2                          num1 / num2

           argv0                                 argv [0]

Comments
        varset returns a MS-DOS ERRORLEVEL.
        If ERRORLEVEL equals 0, everything went fine
        Date formats are in ISO format YYYY-MM-DD

Example
        rem pcnode=1.123
        varset node right$ 3 %pcnode%
        rem node=123

Author/Copyright
        Copyright (C) 1994-1999 by Kostis Netzwerkberatung
        Talstr. 25, D-63322 Rdermark, Tel. +49 6074 881056, FAX 881058
        kosta@kostis.net (Kosta Kostis), http://www.kostis.net/

        You may use this program free of charge at your own risk.
